Page MenuHomePhabricator

Password Reset Update: Inform Unconfirmed Users of Special Preference [x-small]
Closed, ResolvedPublic

Description

As a Wikimedia user, I want the informational text in Preferences to also include users with unconfirmed email addresses, so that I receive the most accurate information about the password reset feature.

Background: We have done this work for users with confirmed email addresses in T234952. Now we need to do the same for users with unconfirmed email addresses. This is because users can send password reset requests for unconfirmed email addresses.

Acceptance Criteria:

  • If the email is confirmed or unconfirmed, display the following message: "Account recovery is enabled. See Email options for settings."
  • The "Email options" link, when clicked, should direct users to the "Email option" section
  • This informational text should only appear for users with an associated email address (confirmed or unconfirmed).

Visual Example:

Event Timeline

ifried created this task.Dec 5 2019, 5:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2019, 5:35 PM
ifried updated the task description. (Show Details)Dec 5 2019, 5:44 PM
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)Dec 5 2019, 6:11 PM
ifried renamed this task from Password Reset Update: Inform Unconfirmed Users of Special Preference to Password Reset Update: Inform Unconfirmed Users of Special Preference [x-small].Dec 5 2019, 6:14 PM
ifried moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
MBinder_WMF updated the task description. (Show Details)Dec 5 2019, 6:15 PM
HMonroy claimed this task.Dec 12 2019, 7:06 PM

Change 554654 had a related patch set uploaded (by HMonroy; owner: HMonroy):
[mediawiki/core@master] Add user preference info to basic info section

https://gerrit.wikimedia.org/r/554654

@ifried Should this show even if PRU is not enabled on the wiki? ($wgAllowRequiringEmailForResets)

With it disabled, there are no account recovery settings in email options (as far as I can see...). The text might be misleading to users.

Unless the plan is to have PRU enabled everywhere.

HMonroy added a comment.EditedDec 16 2019, 5:46 PM

I added the $wgAllowRequiringEmailForResets check. Thank you for pointing that out @dom_walden!

Change 554654 merged by jenkins-bot:
[mediawiki/core@master] Add user preference info to basic info section

https://gerrit.wikimedia.org/r/554654

Acceptance Criteria:

  • If the email is confirmed or unconfirmed, display the following message: "Account recovery is enabled. See Email options for settings."

This is true if PRU is enabled on the wiki ($wgAllowRequiringEmailForResets = true).

Nothing appears if PRU is disabled, regardless of whether user has an email.

  • The "Email options" link, when clicked, should direct users to the "Email option" section

Yes.

  • This informational text should only appear for users with an associated email address (confirmed or unconfirmed).

Nothing appears if you have no email.

Restricted Application edited projects, added Community-Tech; removed Community-Tech (Kanban-Q3-2019-20). · View Herald TranscriptJan 7 2020, 6:52 PM
ifried closed this task as Resolved.Jan 8 2020, 5:45 PM
ifried moved this task from Product sign-off to Done on the Community-Tech (Kanban-Q3-2019-20) board.

This is now working for unconfirmed email addresses. I have tested this on https://test.wikipedia.org/wiki/Special:Preferences. See screenshot example below. For this reason, I'm marking this work as Done.